Get runner metrics

View as Markdown
Gets the Postman server-side metrics for a runner instance. Metrics include information such as monitor run queues and last polling date. **Note:** You can get a runner's ID in the Postman UI if you have a Team Admin or Super Admin role. To do this, click **Team > Team Settings** in Postman, then click **Runners**. Click the runner you want to get the ID of, then copy its ID from the URL.

Authentication

x-api-keystring
API Key authentication via header
OR
Authorizationstring
A valid [SCIM API key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key) for calls to SCIM endpoints.
OR
AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

runnerIdstringRequired
The runner's ID.

Response

Successful Response
lastPingAtstring
The last date and time the runner sent results to the Postman cloud.
oldestQueuedRunAgeSecondsinteger
The age of the monitor, in seconds, that has been waiting the longest to run in the runner.
queueDepthinteger
The number of pending Postman monitor runs in the runner's queue.

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error